
package com.experian.uk.wasp;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * Experian Token Service
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "TokenService", targetNamespace = "http://www.uk.experian.com/WASP/", wsdlLocation = "file:/D:/CPS/cps-core-ExperianInt/resources/wsdl/TokenService.wsdl")
public class TokenService
    extends Service
{

    private final static URL TOKENSERVICE_WSDL_LOCATION;
    private final static WebServiceException TOKENSERVICE_EXCEPTION;
    private final static QName TOKENSERVICE_QNAME = new QName("http://www.uk.experian.com/WASP/", "TokenService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("file:/D:/CPS/cps-core-ExperianInt/resources/wsdl/TokenService.wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        TOKENSERVICE_WSDL_LOCATION = url;
        TOKENSERVICE_EXCEPTION = e;
    }

    public TokenService() {
        super(__getWsdlLocation(), TOKENSERVICE_QNAME);
    }

    public TokenService(WebServiceFeature... features) {
        super(__getWsdlLocation(), TOKENSERVICE_QNAME, features);
    }

    public TokenService(URL wsdlLocation) {
        super(wsdlLocation, TOKENSERVICE_QNAME);
    }

    public TokenService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, TOKENSERVICE_QNAME, features);
    }

    public TokenService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public TokenService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns TokenServiceSoap
     */
    @WebEndpoint(name = "TokenServiceSoap")
    public TokenServiceSoap getTokenServiceSoap() {
        return super.getPort(new QName("http://www.uk.experian.com/WASP/", "TokenServiceSoap"), TokenServiceSoap.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns TokenServiceSoap
     */
    @WebEndpoint(name = "TokenServiceSoap")
    public TokenServiceSoap getTokenServiceSoap(WebServiceFeature... features) {
        return super.getPort(new QName("http://www.uk.experian.com/WASP/", "TokenServiceSoap"), TokenServiceSoap.class, features);
    }

    private static URL __getWsdlLocation() {
        if (TOKENSERVICE_EXCEPTION!= null) {
            throw TOKENSERVICE_EXCEPTION;
        }
        return TOKENSERVICE_WSDL_LOCATION;
    }

}
